This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263719 - undocumented new options for hwlatdecect and cyclictest
undocumented new options for hwlatdecect and cyclictest
Status: ASSIGNED
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Kacur
Jiri Kastner
:
Depends On: 1263718
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 09:48 EDT by Jiri Kastner
Modified: 2017-07-11 17:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1263718
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2015-09-16 09:48:01 EDT
+++ This bug was initially created as a clone of Bug #1263718 +++

Description of problem:
0.93 version added new options for cyclictest and hwlatdetect, which are not documented in man page.

Version-Release number of selected component (if applicable):
0.93

How reproducible:
always on 0.93

Steps to Reproduce:
1. install rt-tests-0.93
2. compare output of 'cyclictest --help' and 'man cyclictest'
3. compare output of 'hwlatdetect --help' and 'man hwlatdetect'

Actual results:
missing '--watch' option for hwlatdetect and '--secaligned' for cyclictest

Expected results:
all options documented

Additional info:

--- Additional comment from Jiri Kastner on 2015-09-16 09:47:12 EDT ---

############# reproducer ##############
[root@dell-per815-02 ~]# zcat /usr/share/man/man8/cyclictest.8.gz | man2html | grep "\-\-numa"
<DT><B>\-U, --numa</B>
[root@dell-per815-02 ~]# cyclictest --help | grep "\-\-numa"
-U       --numa            Standard NUMA testing (similar to SMP option)
[root@dell-per815-02 ~]# zcat /usr/share/man/man8/cyclictest.8.gz | man2html | grep "\-\-secali"
[root@dell-per815-02 ~]# cyclictest --help | grep "\-\-secali"
         --secaligned [USEC] align thread wakeups to the next full second,
[root@dell-per815-02 ~]# zcat /usr/share/man/man8/hwlatdetect.8.gz| man2html | grep "\-\-watch"
[root@dell-per815-02 ~]# hwlatdetect --help | grep "\-\-watch"
  --watch               print sample data to stdout as it arrives
[root@dell-per815-02 ~]#

Note You need to log in before you can comment on or make changes to this bug.